%define major	15
%define libname	%mklibname wim %{major}
%define devname	%mklibname wim -d

Summary:	Create, extract, and modify Windows Imaging (WIM) files
Name:		wimlib
Version:	1.12.0
Release:	%mkrel 1
License:	GPLv3
Group:		System/Libraries
Url:		http://wimlib.net/
Source0:	http://wimlib.net/downloads/%{name}-%{version}.tar.xz
#------------------------------------
BuildRequires: attr-devel
BuildRequires: gettext-devel
BuildRequires: ntfs-3g-devel
BuildRequires: lib64fuse-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64xml2-devel
#------------------------------------

Requires:	mkisofs
Requires:	mtools
Requires:	syslinux
Requires:	cabextract

%description
wimlib is a library that can be used to create, extract, and modify
files in the Windows Imaging Format. These files are normally created
by the 'imagex.exe' program on Windows, but this library provides a
free implementation of 'imagex' for UNIX-based systems. wimlib
supports mounting WIM files, just like imagex.exe.


%package -n %{devname}
Summary:	Headers for developing programs using wimlib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers needed to build programs that will
use wimlib.

%prep
%setup -q

# drop prebuilt example binaries
make clean -C examples

%build
%configure2_5x \
	--disable-static
%make_build

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README NEWS COPYING*
%{_bindir}/mkwinpeimg
%{_bindir}/wim*
%{_mandir}/man1/mkwinpeimg*
%{_mandir}/man1/wim*
%{_libdir}/libwim.so.%{major}
%{_libdir}/libwim.so.%{major}.*

%files -n %{devname}
%doc examples
%{_includedir}/wimlib.h
%{_libdir}/pkgconfig/wimlib.pc
%{_libdir}/libwim.so


%changelog
* Sat Feb 24 2018 bb2 <bb2> - 1.12.0-1pclos2018
- import for maggie
